@rem  ====================================================================================
@rem  Licensed Materials - Property of IBM                                                
@rem  IBM WebSphere SDK for Web Services, Version 5.0                                   
@rem  (C) Copyright IBM Corp. 2002,2003. All Rights Reserved                              
@rem  US Govt. Users Restricted Rights                                                    
@rem  Use duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem  ====================================================================================

@echo off
SETLOCAL

set server=
set classPath=
set projectFound=false
set PROJECTDIR=
set CURDIR=

IF "%IBM_WSSTUDIO_BIN%" == "" call "%~dp0\setupenv.bat"

IF "%IBM_WSSTUDIO_TYPE%" == "" call "%~dp0\setupenv.bat"

:filterArgs
REM filter arguments to set server
shift

if /I {%0}=={} goto continue

if /I {%0}=={-server} (
set server=%1
if "%1"=="5.1" set server=51
if "%1"=="6.0" set server=6
if "%1"=="6.1" set server=61
)

if /I {%0}=={-project} (
set projectFound=true
set PROJECTDIR=%1
set CURDIR=%~dp1
)

goto filterArgs

:continue
if "%server%"=="" set server=61

if NOT "%server%"=="" if NOT "%server%"=="51" if NOT "%server%"=="6" if NOT "%server%"=="61" set server=61

REM Setup location of the appserver and WSDK tools
set wstoolsPluginDir=%IBM_WSSTUDIO_BIN%..\eclipse\plugins

:proceed
REM Find the classpath
set CP=
set FULLSTRING=%*
REM Substitute the string "###" to each occurence of the semicolon
set FULLSTRING=%FULLSTRING:;=###%
REM Invoke a subroutine passing the modified string of parameters
call :SUB1 %FULLSTRING%

REM Get back the classpath 
set usrClassPath=%CP%

REM If project is found
if %projectFound%==true (
REM remove quotes from PROJECTDIR (similar to PROJECTDIR=%~2)
set PROJECTDIR=%PROJECTDIR:"=%
if not exist "%CURDIR%%PROJECTDIR%" mkdir "%CURDIR%%PROJECTDIR%"
if not exist "%CURDIR%%PROJECTDIR%\WEB-INF" mkdir "%CURDIR%%PROJECTDIR%\WEB-INF"
if not exist "%CURDIR%%PROJECTDIR%\WEB-INF\classes" mkdir "%CURDIR%%PROJECTDIR%\WEB-INF\classes"
set usrClassPath=%CURDIR%%PROJECTDIR%\WEB-INF\classes;%usrClassPath%)

:callJavaClass
REM Set up some environment variables
REM Call the Bean2WebService class with all the arguments and necessary classpath through the Delegateclass in order to bypass classpath length limitation
"%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v%server%_stub\java\bin\java" -cp "%WSDK_HOME%\delegate.jar;%WSDK_HOME%\j2ee13\commons-logging-api.jar;%usrClassPath%" -Dwsdk.app.server.home="%IBM_WSSTUDIO_BIN%..\runtimes\%IBM_WSSTUDIO_TYPE%_v%server%_stub" -Dwsad.wsdk.properties="%WSDK_HOME%\j2ee13\wsdk.properties" -DWSDK_HOME="%WSDK_HOME%" com.ibm.wsdk.delegate.DelegateClass "%WSDK_HOME%\j2ee13\ws_cmdlineCP.txt" com.ibm.wsdk.tools.tasks.console.Bean2WebService bean2webservice -wsad %*

REM Subroutine to parse the classpath
REM --------------------------------- 
:SUB1

:LOOP

REM Check if there are parameters left
if {%1}=={} GOTO :EOF

REM Look for the "-cp" flag
if /I {%1}=={-cp} goto :FOUND

REM Shift the parameters for the looping
shift

GOTO :LOOP

:FOUND

REM After "-cp" there must be the path now without semi-colon
REM remove quotes from CP (similar to CP=%~2)
set CP=%2
set CP=%CP:"=%

REM Add back the semicolon
set CP=%CP:###=;%

REM Add the classpath to the arguments
set args=-cp "%CP%;"
set next=%3%

REM Return the subroutine
goto :EOF

:END

ENDLOCAL
@echo on
REM Run setupenv.bat to set the environment variable IBM_WSSTUDIO_BIN



